Debian Bug report logs - #680798
sitplus: FTBFS: build-dependency not installable: libpoco-dev

version graph

Package: src:sitplus; Maintainer for src:sitplus is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:21:35 UTC

Severity: serious

Tags: sid, wheezy

Found in version sitplus/1.0.3-3

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Sun, 08 Jul 2012 17:21:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:21:38 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: sitplus: FTBFS: build-dependency not installable: libpoco-dev
Date: Sun, 8 Jul 2012 19:01:32 +0200
Source: sitplus
Version: 1.0.3-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install sitplus build dependencies (apt-based resolver)                      │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-sitplus-dummy : Depends: libpoco-dev but it is not going to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/sitplus_1.0.3-3_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Mon, 09 Jul 2012 08:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 09 Jul 2012 08:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 680798@bugs.debian.org
Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable: libpoco-dev
Date: Mon, 9 Jul 2012 10:41:12 +0200
Hi,

I wonder what this problem might be sitplus as well as libpoco-dev are
in unstable.  I can not see what action needs to be done here.  Please
explain.

Kind regards

        Andreas.

On Sun, Jul 08, 2012 at 07:01:32PM +0200, Lucas Nussbaum wrote:
> Source: sitplus
> Version: 1.0.3-3
> Severity: serious
> Tags: wheezy sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20120708 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
> 
> Relevant part:
> > ┌──────────────────────────────────────────────────────────────────────────────┐
> > │ Install sitplus build dependencies (apt-based resolver)                      │
> > └──────────────────────────────────────────────────────────────────────────────┘
> > 
> > Installing build dependencies
> > Reading package lists...
> > Building dependency tree...
> > Reading state information...
> > Some packages could not be installed. This may mean that you have
> > requested an impossible situation or if you are using the unstable
> > distribution that some required packages have not yet been created
> > or been moved out of Incoming.
> > The following information may help to resolve the situation:
> > 
> > The following packages have unmet dependencies:
> >  sbuild-build-depends-sitplus-dummy : Depends: libpoco-dev but it is not going to be installed
> > E: Unable to correct problems, you have held broken packages.
> > apt-get failed.
> 
> The full build log is available from:
>    http://people.debian.org/~lucas/logs/2012/07/08/sitplus_1.0.3-3_unstable.log
> 
> A list of current common problems and possible solutions is available at 
> http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!
> 
> About the archive rebuild: The rebuild was done on EC2 VM instances from
> Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
> failed build was retried once to eliminate random failures.
> 
> 
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 09:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 680798@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 680798@bugs.debian.org
Cc: Andreas Tille <tille@debian.org>
Subject: sitplus: FTBFS: build-dependency not installable:
Date: Thu, 26 Jul 2012 11:38:24 +0200
I believe this is because libpoco-dev was removed from testing:
http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html

HTH



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 09:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 680798@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Andreas Tille <tille@debian.org>
Cc: 680798@bugs.debian.org
Subject: Re: sitplus: FTBFS: build-dependency not installable:
Date: Thu, 26 Jul 2012 11:52:33 +0200
'lo

On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
>> I believe this is because libpoco-dev was removed from testing:
>> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
>
> I came to the same conclusion but I have no idea how we (in terms
> of sitplus maintainers) could solve this.

The patch looks straighfoward to apply but for some reason was never
applied. So I simply ping'd the maintainers again:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16

We'll see.
-- 
Mathieu



Added blocking bug(s) of 680798: 650059 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Thu, 26 Jul 2012 10:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 10:27:08 GMT) Full text and rfc822 format available.

Message #27 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Mathieu Malaterre <malat@debian.org>
Cc: 680798@bugs.debian.org
Subject: Re: sitplus: FTBFS: build-dependency not installable:
Date: Thu, 26 Jul 2012 11:47:44 +0200
Hi,

On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> I believe this is because libpoco-dev was removed from testing:
> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html

I came to the same conclusion but I have no idea how we (in terms
of sitplus maintainers) could solve this.

Kind regards

       Andreas. 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 12:27:05 GMT) Full text and rfc822 format available.

Message #32 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org
Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:
Date: Thu, 26 Jul 2012 14:23:26 +0200
Hi Krzysztof,

there is a long standing (>6 month) RC bug filed against poco including
a patch for this problem.  When applying the patch and trying to build
the package I realised another FTBFS problem when building with gcc-4.7.
I'm currently trying to fix this problem and if I succeede I will upload
to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
NMU-upload once the problem is solved.

Kind regards

        Andreas.

On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> 'lo
> 
> On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> >> I believe this is because libpoco-dev was removed from testing:
> >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> >
> > I came to the same conclusion but I have no idea how we (in terms
> > of sitplus maintainers) could solve this.
> 
> The patch looks straighfoward to apply but for some reason was never
> applied. So I simply ping'd the maintainers again:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> 
> We'll see.
> -- 
> Mathieu

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 12:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 12:51:05 GMT) Full text and rfc822 format available.

Message #37 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Mentors List <debian-mentors@lists.debian.org>, Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>, Krzysztof Burghardt <krzysztof@burghardt.pl>
Cc: 650059@bugs.debian.org, 680798@bugs.debian.org
Subject: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 14:45:02 +0200
Hi,

I tried to apply the patch that is supposed to solve the problem below
but I was running in another problem which sounds quite familiar from
other gcc-4.7 issues.  I tried to fix the problem in Git

   git+ssh://git.debian.org/git/collab-maint/poco.git

and created a branch NMU/1.3.6p1-1.1 where I created a dpatch file
debian/patches/gcc-4.7.dpatch which unfortunately just reiterates
the original problem and ends up in

/tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h: In instantiation of 'S Poco::replace(const S&, const typename S::value_type*, const typename S::value_type*, typename S::size_type) [with S = std::    basic_string<char>; typename S::value_type = char; typename S::size_type = long unsigned int]':
src/X509Certificate.cpp:175:55:   required from here
/tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:448:2: error: 'replaceInPlace' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of              instantiation [-fpermissive]
/tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:480:4: note: 'template<class S> S& Poco::replaceInPlace(S&, const S&, const S&, typename S::size_type)' declared here, later in the translation unit


Unfortunately my C++ knowledge is to limited to find an easy clue how to
fix this and would be more than happy if somebody could provide some fix.

BTW, it seems to me that libpoco development only happens in experimental
and unstable does not deserve the attention it would need.  Please help
fixing the problem to make sure the reverse depends can stay in testing.

Kind regards

       Andreas.

----- Forwarded message from Andreas Tille <andreas@an3as.eu> -----

Date: Thu, 26 Jul 2012 14:23:26 +0200
From: Andreas Tille <andreas@an3as.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org,
	Krzysztof Burghardt <krzysztof@burghardt.pl>,
	650059@bugs.debian.org
Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:

Hi Krzysztof,

there is a long standing (>6 month) RC bug filed against poco including
a patch for this problem.  When applying the patch and trying to build
the package I realised another FTBFS problem when building with gcc-4.7.
I'm currently trying to fix this problem and if I succeede I will upload
to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
NMU-upload once the problem is solved.

Kind regards

        Andreas.

On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> 'lo
> 
> On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> >> I believe this is because libpoco-dev was removed from testing:
> >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> >
> > I came to the same conclusion but I have no idea how we (in terms
> > of sitplus maintainers) could solve this.
> 
> The patch looks straighfoward to apply but for some reason was never
> applied. So I simply ping'd the maintainers again:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> 
> We'll see.
> -- 
> Mathieu

-- 
http://fam-tille.de

----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Greco <cristian@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 18:00:05 GMT) Full text and rfc822 format available.

Message #42 received at 680798@bugs.debian.org (full text, mbox):

From: Cristian Greco <cristian@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian Mentors List <debian-mentors@lists.debian.org>, Patrick Gansterer <paroga@paroga.com>, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org, 680798@bugs.debian.org, Mathieu Malaterre <malat@debian.org>
Subject: Re: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 19:47:35 +0200
[Message part 1 (text/plain, inline)]
On Thu, 26 Jul 2012 14:45:02 +0200
Andreas Tille <andreas@an3as.eu> wrote:

> Hi,
> 
> I tried to apply the patch that is supposed to solve the problem below
> but I was running in another problem which sounds quite familiar from
> other gcc-4.7 issues.  I tried to fix the problem in Git
> 
>    git+ssh://git.debian.org/git/collab-maint/poco.git
> 
> and created a branch NMU/1.3.6p1-1.1 where I created a dpatch file
> debian/patches/gcc-4.7.dpatch which unfortunately just reiterates
> the original problem and ends up in
> 
> /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h: In instantiation of 'S Poco::replace(const S&, const typename S::value_type*, const typename S::value_type*, typename S::size_type) [with S = std::    basic_string<char>; typename S::value_type = char; typename S::size_type = long unsigned int]':
> src/X509Certificate.cpp:175:55:   required from here
> /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:448:2: error: 'replaceInPlace' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of              instantiation [-fpermissive]
> /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:480:4: note: 'template<class S> S& Poco::replaceInPlace(S&, const S&, const S&, typename S::size_type)' declared here, later in the translation unit
> 
> 
> Unfortunately my C++ knowledge is to limited to find an easy clue how to
> fix this and would be more than happy if somebody could provide some fix.
> 
> BTW, it seems to me that libpoco development only happens in experimental
> and unstable does not deserve the attention it would need.  Please help
> fixing the problem to make sure the reverse depends can stay in testing.
> 
> Kind regards
> 
>        Andreas.
> 
> ----- Forwarded message from Andreas Tille <andreas@an3as.eu> -----
> 
> Date: Thu, 26 Jul 2012 14:23:26 +0200
> From: Andreas Tille <andreas@an3as.eu>
> To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org,
> 	Krzysztof Burghardt <krzysztof@burghardt.pl>,
> 	650059@bugs.debian.org
> Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:
> 
> Hi Krzysztof,
> 
> there is a long standing (>6 month) RC bug filed against poco including
> a patch for this problem.  When applying the patch and trying to build
> the package I realised another FTBFS problem when building with gcc-4.7.
> I'm currently trying to fix this problem and if I succeede I will upload
> to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
> NMU-upload once the problem is solved.
> 
> Kind regards
> 
>         Andreas.
> 
> On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> > 'lo
> > 
> > On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> > >> I believe this is because libpoco-dev was removed from testing:
> > >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> > >
> > > I came to the same conclusion but I have no idea how we (in terms
> > > of sitplus maintainers) could solve this.
> > 
> > The patch looks straighfoward to apply but for some reason was never
> > applied. So I simply ping'd the maintainers again:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> > 
> > We'll see.
> > -- 
> > Mathieu

Hi all,

as someone already mentioned, the development of poco happened in
experimental in the last year. I never did upload to unstable because
there was a problem with reverse-deps and the boost libraries.
Although I stopped uploading to experimental some months ago, it still
builds fine and contains a lot of patches (some submitted upstream).

I'll try to fix the ftbfs for the version of poco in unstable and make
an upload as soon as possible.

Thanks,
--
Cristian Greco
GPG key ID: 0xCF4D32E4
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #47 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Cristian Greco <cristian@debian.org>
Cc: Patrick Gansterer <paroga@paroga.com>, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org, 680798@bugs.debian.org
Subject: Re: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 21:27:11 +0200
Hi Cristian,

thanks for your intent to fix the package.  In case you might have
missed it on debian-mentors a patch was posted:

   http://lists.debian.org/debian-mentors/2012/07/msg00446.html

Just let us know if you might face any trouble

       Andreas.

On Thu, Jul 26, 2012 at 07:47:35PM +0200, Cristian Greco wrote:
> On Thu, 26 Jul 2012 14:45:02 +0200
> Andreas Tille <andreas@an3as.eu> wrote:
> 
> > Hi,
> > 
> > I tried to apply the patch that is supposed to solve the problem below
> > but I was running in another problem which sounds quite familiar from
> > other gcc-4.7 issues.  I tried to fix the problem in Git
> > 
> >    git+ssh://git.debian.org/git/collab-maint/poco.git
> > 
> > and created a branch NMU/1.3.6p1-1.1 where I created a dpatch file
> > debian/patches/gcc-4.7.dpatch which unfortunately just reiterates
> > the original problem and ends up in
> > 
> > /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h: In instantiation of 'S Poco::replace(const S&, const typename S::value_type*, const typename S::value_type*, typename S::size_type) [with S = std::    basic_string<char>; typename S::value_type = char; typename S::size_type = long unsigned int]':
> > src/X509Certificate.cpp:175:55:   required from here
> > /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:448:2: error: 'replaceInPlace' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of              instantiation [-fpermissive]
> > /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:480:4: note: 'template<class S> S& Poco::replaceInPlace(S&, const S&, const S&, typename S::size_type)' declared here, later in the translation unit
> > 
> > 
> > Unfortunately my C++ knowledge is to limited to find an easy clue how to
> > fix this and would be more than happy if somebody could provide some fix.
> > 
> > BTW, it seems to me that libpoco development only happens in experimental
> > and unstable does not deserve the attention it would need.  Please help
> > fixing the problem to make sure the reverse depends can stay in testing.
> > 
> > Kind regards
> > 
> >        Andreas.
> > 
> > ----- Forwarded message from Andreas Tille <andreas@an3as.eu> -----
> > 
> > Date: Thu, 26 Jul 2012 14:23:26 +0200
> > From: Andreas Tille <andreas@an3as.eu>
> > To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org,
> > 	Krzysztof Burghardt <krzysztof@burghardt.pl>,
> > 	650059@bugs.debian.org
> > Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:
> > 
> > Hi Krzysztof,
> > 
> > there is a long standing (>6 month) RC bug filed against poco including
> > a patch for this problem.  When applying the patch and trying to build
> > the package I realised another FTBFS problem when building with gcc-4.7.
> > I'm currently trying to fix this problem and if I succeede I will upload
> > to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
> > NMU-upload once the problem is solved.
> > 
> > Kind regards
> > 
> >         Andreas.
> > 
> > On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> > > 'lo
> > > 
> > > On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > > > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> > > >> I believe this is because libpoco-dev was removed from testing:
> > > >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> > > >
> > > > I came to the same conclusion but I have no idea how we (in terms
> > > > of sitplus maintainers) could solve this.
> > > 
> > > The patch looks straighfoward to apply but for some reason was never
> > > applied. So I simply ping'd the maintainers again:
> > > 
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> > > 
> > > We'll see.
> > > -- 
> > > Mathieu
> 
> Hi all,
> 
> as someone already mentioned, the development of poco happened in
> experimental in the last year. I never did upload to unstable because
> there was a problem with reverse-deps and the boost libraries.
> Although I stopped uploading to experimental some months ago, it still
> builds fine and contains a lot of patches (some submitted upstream).
> 
> I'll try to fix the ftbfs for the version of poco in unstable and make
> an upload as soon as possible.
> 
> Thanks,
> --
> Cristian Greco
> GPG key ID: 0xCF4D32E4



-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 21:03:04 GMT) Full text and rfc822 format available.

Message #52 received at 680798@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Tille <andreas@an3as.eu>, 680798@bugs.debian.org
Cc: Debian Mentors List <debian-mentors@lists.debian.org>, Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org
Subject: Re: Bug#680798: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 22:00:53 +0100
On Thu, 2012-07-26 at 14:45 +0200, Andreas Tille wrote:
> BTW, it seems to me that libpoco development only happens in experimental
> and unstable does not deserve the attention it would need.  Please help
> fixing the problem to make sure the reverse depends can stay in testing.

"Stay" would imply that they're currently _in_ testing.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Thu, 26 Jul 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 26 Jul 2012 21:12:03 GMT) Full text and rfc822 format available.

Message #57 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 680798@bugs.debian.org
Subject: Re: Bug#680798: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 23:06:57 +0200
Hi Adam,

On Thu, Jul 26, 2012 at 10:00:53PM +0100, Adam D. Barratt wrote:
> On Thu, 2012-07-26 at 14:45 +0200, Andreas Tille wrote:
> > BTW, it seems to me that libpoco development only happens in experimental
> > and unstable does not deserve the attention it would need.  Please help
> > fixing the problem to make sure the reverse depends can stay in testing.
> 
> "Stay" would imply that they're currently _in_ testing.

Hmmm, you are right.  It's kicked now obviosely - I somehow missed this
and this is quite disgusting.  I really hope there would be a chance to get
this back - at least the bug remains also against wheezy ...

Thanks for the hint anyway

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Wed, 12 Sep 2012 12:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 12 Sep 2012 12:15:05 GMT) Full text and rfc822 format available.

Message #62 received at 680798@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 642733@bugs.debian.org, 680798@bugs.debian.org
Cc: Cristian Greco <cristian@debian.org>
Subject: Libpoco can not migrate to testing doe to remaining serious bug
Date: Wed, 12 Sep 2012 14:11:14 +0200
Hi Cristian,

I have seen that you cherry picked from the experimental branch patches
to close several bugs but I think due to bug #642733 the package can not
yet go to testing and thus there is the danger that its reverse depends
will be kicked as well.  Would you please consider fixing #642733 as
well?

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#680798; Package src:sitplus. (Wed, 12 Sep 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Greco <cristian@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 12 Sep 2012 18:33:05 GMT) Full text and rfc822 format available.

Message #67 received at 680798@bugs.debian.org (full text, mbox):

From: Cristian Greco <cristian@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: 642733@bugs.debian.org, 680798@bugs.debian.org
Subject: Re: Libpoco can not migrate to testing doe to remaining serious bug
Date: Wed, 12 Sep 2012 20:24:52 +0200
[Message part 1 (text/plain, inline)]
On Wed, 12 Sep 2012 14:11:14 +0200
Andreas Tille <andreas@an3as.eu> wrote:

> Hi Cristian,
> 
> I have seen that you cherry picked from the experimental branch patches
> to close several bugs but I think due to bug #642733 the package can not
> yet go to testing and thus there is the danger that its reverse depends
> will be kicked as well.  Would you please consider fixing #642733 as
> well?

Hi Andreas,

this bug has been fixed in unstable with the upload of poco 1.3.6p1-2.
It is just a copy of #654238, but I didn't notice because it was already
marked as fixed by the upload of poco 1.4.2p1-1 in experimental.

Also, bug #680798 in sitplus is already fixed for me.

Please let me know if there is something more I can do to let poco and
its deps enter wheezy.

Thanks,
--
Cristian Greco
GPG key ID: 0xCF4D32E4
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 13 Oct 2012 09:39:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 13 Oct 2012 09:39:05 GMT) Full text and rfc822 format available.

Message #72 received at 680798-done@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 680798-done@bugs.debian.org
Subject: Fixed via NEW package from poco
Date: Sat, 13 Oct 2012 10:36:12 +0100
[Message part 1 (text/plain, inline)]
sitplus now builds correctly without further changes to this bug due to
an upload of poco.

Not requesting an unblock as poco introduced a NEW package at the same
change.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Nov 2012 07:28:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:52:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.